Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.ext.awt.image.spi
Class DefaultBrokenLinkProvider

    java.lang.Object
      org.apache.batik.ext.awt.image.spi.DefaultBrokenLinkProvider

All Implemented Interfaces:
  BrokenLinkProvider

Direct Known Subclasses:
  SVGBrokenLinkProvider

public class DefaultBrokenLinkProvider
extends java.lang.Object
implements BrokenLinkProvider

Field Summary

Fields inherited from interface org.apache.batik.ext.awt.image.spi.BrokenLinkProvider
`BROKEN_LINK_PROPERTY`

Constructor Summary
`DefaultBrokenLinkProvider()`

Method Summary
`static java.lang.String` | `formatMessage(java.lang.Object base, java.lang.String code, java.lang.Object[] params)`
`Filter` | `getBrokenLinkImage(java.lang.Object base, java.lang.String code, java.lang.Object[] params)` This method is responsbile for constructing an image that will represent the missing image in the document.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultBrokenLinkProvider

    public DefaultBrokenLinkProvider()

Method Detail

### formatMessage

    public static java.lang.String formatMessage(java.lang.Object base,
                                                 java.lang.String code,
                                                 java.lang.Object[] params)

### getBrokenLinkImage

    public Filter getBrokenLinkImage(java.lang.Object base,
                                     java.lang.String code,
                                     java.lang.Object[] params)

  Description copied from interface: `BrokenLinkProvider`
  This method is responsbile for constructing an image that will represent the missing image in the document. This method recives information about the reason a broken link image is being requested in the `code` and `params` parameters. These parameters may be used to generate nicely localized messages for insertion into the broken link image, or for selecting the broken link image returned.

  Specified by:
    `getBrokenLinkImage` in interface `BrokenLinkProvider`
  Parameters:
    `base` - The object to use for Message decoding.
    `code` - This is the reason the image is unavailable should be taken from ErrorConstants.
    `params` - This is more detailed information about the circumstances of the failure.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.